---
title: "Webhooks"
url: "https://developers.bynder.com/apis/webhooks-api/versions/876c7972-129f-4814-b12a-964ddc49f2b6"
---

# Webhooks

OpenAPI specification document.

```json
{"components":{"schemas":{"ApiV7WebhooksPublicApiSubscriptionsRequest":{"properties":{"endpoint":{"examples":["ENDPOINT URL OR ARN OR EMAIL"],"type":"string"},"events":{"description":"","items":{"type":"string"},"type":"array"},"name":{"examples":["NAME OF WEBHOOK"],"type":"string"},"preArchivedNotificationDays":{"contentEncoding":"int32","examples":[5],"type":"integer"},"protocol":{"examples":["PROTOCOL"],"type":"string"}},"title":"ApiV7WebhooksPublicApiSubscriptionsRequest","type":"object"},"ApiV7WebhooksPublicApiSubscriptionsRequest1":{"properties":{"events":{"description":"","items":{"type":"string"},"type":"array"},"preArchivedNotificationDays":{"contentEncoding":"int32","examples":[5],"type":"integer"}},"title":"ApiV7WebhooksPublicApiSubscriptionsRequest1","type":"object"},"ApiV7WebhooksPublicApiSubscriptionsRequest2":{"properties":{"name":{"examples":["Updated name via API"],"type":"string"},"status":{"contentEncoding":"int32","examples":[1],"type":"integer"}},"title":"ApiV7WebhooksPublicApiSubscriptionsRequest2","type":"object"},"ApiV7WebhooksPublicApiSubscriptionsResponse":{"properties":{"id":{"examples":["00000000-0000-0000-0000-000000000000"],"type":"string"}},"title":"ApiV7WebhooksPublicApiSubscriptionsResponse","type":"object"}}},"info":{"contact":{},"title":"Webhooks","description":"Subscribe to and manage Bynder event webhooks. Easily create, update, activate, rename, and delete your webhook subscriptions.","version":"1.0.0","x-bynder-visibility":"public"},"jsonSchemaDialect":"https://json-schema.org/draft/2020-12/schema","openapi":"3.1.0","paths":{"/v7/webhooks/public/api/ip-ranges":{"get":{"deprecated":false,"description":"Please be aware that using this endpoint requires either the `View Webhooks configurations` or `Manage Webhooks configurations` security role.","operationId":"RetrieveWebhookIPRanges","responses":{"200":{"content":{"application/json":{"schema":{"type":"object"}}},"description":"Successful response","headers":{}}},"summary":"Retrieve Webhook IP Ranges","tags":["Ranges"]},"parameters":[]},"/v7/webhooks/public/api/subscriptions":{"get":{"description":"Please be aware that using this endpoint requires either the `View Webhooks configurations` or `Manage Webhooks configurations` security role.","operationId":"getWebhookConfigurations","responses":{"200":{"content":{"application/json":{"examples":{"response":{"value":{"antivirusEnabled":true,"configs":[{"configId":"cf2493be-c808-41da-bcc2-cfb31f38b457","confirmed":1,"endpoint":"example@example.com","events":["asset_bank.media.archived","asset_bank.media.pre_archived","asset_bank.media.deleted","asset_bank.media.updated","asset_bank.media.meta_updated","asset_bank.media.create","workflow.job.create","antivirus.scan.failed"],"is_legacy":false,"migratedSubscriptions":"[]","name":"example-webhook-name","preArchivedNotificationDays":1,"protocol":"email","status":1}],"message":"","success":true}}},"schema":{"example":{"antivirusEnabled":true,"configs":[{"configId":"cf2493be-c808-41da-bcc2-cfb31f38b457","confirmed":1,"endpoint":"example@example.com","events":["asset_bank.media.archived","asset_bank.media.pre_archived","asset_bank.media.deleted","asset_bank.media.updated","asset_bank.media.meta_updated","asset_bank.media.create","workflow.job.create","antivirus.scan.failed"],"is_legacy":false,"migratedSubscriptions":"[]","name":"example-webhook-name","preArchivedNotificationDays":1,"protocol":"email","status":1}],"message":"","success":true},"properties":{"antivirusEnabled":{"type":"boolean"},"configs":{"items":{"properties":{"configId":{"type":"string"},"confirmed":{"type":"number"},"endpoint":{"type":"string"},"events":{"items":{"type":"string"},"type":"array"},"is_legacy":{"type":"boolean"},"migratedSubscriptions":{"type":"string"},"name":{"type":"string"},"preArchivedNotificationDays":{"type":"number"},"protocol":{"type":"string"},"status":{"type":"number"}},"type":"object"},"type":"array"},"message":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}},"400":{"content":{"application/json":{"examples":{"response":{"value":{"message":"Error while getting subscription for portal id {portal ID}: Error","success":false}}},"schema":{"example":{"message":"Error while getting subscription for portal id {portal ID}: Error","success":false},"properties":{"message":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}},"description":"Bad Request","headers":{}}},"summary":"Retrieve Webhooks configurations","tags":["Configurations"]},"post":{"description":"Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.","operationId":"createWebhookConfiguration","requestBody":{"content":{"application/json":{"schema":{"properties":{"endpoint":{"description":"Endpoint for the Webhooks subscription.","type":"string"},"events":{"description":"List of events to subscribe to.","items":{},"type":"array"},"name":{"description":"Display name for the Webhooks configuration.","type":"string"},"preArchivedNotificationDays":{"description":"Required to have a value of 1 or greater if the \"asset_bank.media.pre_archived\" event is subscribed to","type":"number"},"protocol":{"description":"Protocol for the Webhooks subscription. Possible values: \"http\", \"https\", \"email\", \"email-json\", \"sqs\".","type":"string"}},"required":["name","endpoint","protocol","events"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"examples":{"response":{"value":{"message":"Subscription Config ID cf2493be-c808-41da-bcc2-cfb31f38b457 created","record":{"configId":"cf2493be-c808-41da-bcc2-cfb31f38b457","endpoint":"example@example.com","events":["asset_bank.media.archived","asset_bank.media.pre_archived","asset_bank.media.deleted","asset_bank.media.updated","asset_bank.media.meta_updated","asset_bank.media.create","workflow.job.create","antivirus.scan.failed"],"is_legacy":false,"migratedSubscriptions":"[]","name":"example-webhook-name","portalId":"62dddddd-eeee-ffff-aaaa-9f78fggggggg","preArchivedNotificationDays":1,"protocol":"email","subscriptionArn":"pendingconfirmation","topicArn":"arn:aws:sns:us-east-1:003565342056:62dddddd-eeee-ffff-aaaa-9f78fggggggg-example-webhook-name-cf2493be-c808-41da-bcc2-cfb31f38b457","userId":"DDDDDDE1-DDDD-DDDD-DDDDDD059F8AFFFF"},"success":true}}},"schema":{"example":{"message":"Subscription Config ID cf2493be-c808-41da-bcc2-cfb31f38b457 created","record":{"configId":"cf2493be-c808-41da-bcc2-cfb31f38b457","endpoint":"example@example.com","events":["asset_bank.media.archived","asset_bank.media.pre_archived","asset_bank.media.deleted","asset_bank.media.updated","asset_bank.media.meta_updated","asset_bank.media.create","workflow.job.create","antivirus.scan.failed"],"is_legacy":false,"migratedSubscriptions":"[]","name":"example-webhook-name","portalId":"62dddddd-eeee-ffff-aaaa-9f78fggggggg","preArchivedNotificationDays":1,"protocol":"email","subscriptionArn":"pendingconfirmation","topicArn":"arn:aws:sns:us-east-1:003565342056:62dddddd-eeee-ffff-aaaa-9f78fggggggg-example-webhook-name-cf2493be-c808-41da-bcc2-cfb31f38b457","userId":"DDDDDDE1-DDDD-DDDD-DDDDDD059F8AFFFF"},"success":true},"properties":{"message":{"type":"string"},"record":{"properties":{"configId":{"type":"string"},"endpoint":{"type":"string"},"events":{"items":{"type":"string"},"type":"array"},"is_legacy":{"type":"boolean"},"migratedSubscriptions":{"type":"string"},"name":{"type":"string"},"portalId":{"type":"string"},"preArchivedNotificationDays":{"type":"number"},"protocol":{"type":"string"},"subscriptionArn":{"type":"string"},"topicArn":{"type":"string"},"userId":{"type":"string"}},"type":"object"},"success":{"type":"boolean"}},"type":"object"}}},"description":"OK","headers":{}},"400":{"content":{"application/json":{"examples":{"response":{"value":{"message":"Failed to create subscription test-public-api-docs: INVALID_ARGUMENT: Combination of subscription name, protocol, and endpoint already exists","success":false}}},"schema":{"example":{"message":"Failed to create subscription test-public-api-docs: INVALID_ARGUMENT: Combination of subscription name, protocol, and endpoint already exists","success":false},"properties":{"message":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}},"description":"Bad Request","headers":{}}},"summary":"Create a Webhook configuration","tags":["Configurations"]}},"/v7/webhooks/public/api/subscriptions/{id}":{"delete":{"deprecated":false,"description":"Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.","operationId":"DeleteaWebhookConfiguration","parameters":[{"description":"Webhook configuration ID.","in":"path","name":"id","required":true,"schema":{"type":"string"},"style":"simple"}],"responses":{"204":{"content":{},"description":"Webhook deleted successfully","headers":{}}},"summary":"Delete a Webhook Configuration","tags":["Configurations"]},"parameters":[],"patch":{"deprecated":false,"description":"Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.","operationId":"PatchaWebhookConfiguration","parameters":[{"description":"Webhook configuration ID.","in":"path","name":"id","required":true,"schema":{"type":"string"},"style":"simple"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV7WebhooksPublicApiSubscriptionsRequest2"}}},"description":"","required":true},"responses":{"200":{"content":{},"description":"Webhook patched successfully","headers":{}}},"summary":"Patch a Webhook Configuration","tags":["Configurations"]},"put":{"deprecated":false,"description":"Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.","operationId":"UpdateaWebhookConfiguration","parameters":[{"description":"Webhook configuration ID.","in":"path","name":"id","required":true,"schema":{"type":"string"},"style":"simple"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV7WebhooksPublicApiSubscriptionsRequest1"}}},"description":"","required":true},"responses":{"200":{"content":{},"description":"Webhook updated successfully","headers":{}}},"summary":"Update a Webhook Configuration","tags":["Configurations"]}}},"servers":[{"url":"https://{your-bynder-domain}/","variables":{"your-bynder-domain":{"default":"your-bynder-domainDefaultValue"}}}],"tags":[{"description":"","name":"Configurations"},{"description":"","name":"Ranges"}]}
```
